# Class Inflater

java.lang.Object
com.codename1.io.gzip.ZStream
com.codename1.io.gzip.Inflater

public final class Inflater extends ZStream

- ## Field Summary

  ### Fields inherited from class ZStream

  `availIn, availOut, msg, nextIn, nextInIndex, nextOut, nextOutIndex, totalIn, totalOut`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Inflater()`
  `Inflater(boolean nowrap)`
  `Inflater(int w)`
  `Inflater(int w, boolean nowrap)`
  `Inflater(int w, com.codename1.io.gzip.JZlib.WrapperType wrapperType)`
  `Inflater(com.codename1.io.gzip.JZlib.WrapperType wrapperType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `end()`
  Those methods are expected to be override by Inflater and Deflater.
  `boolean`
  `finished()`
  `int`
  `inflate(int f)`
  `int`
  `init()`
  `int`
  `init(boolean nowrap)`
  `int`
  `init(int w)`
  `int`
  `init(int w, boolean nowrap)`
  `int`
  `init(int w, com.codename1.io.gzip.JZlib.WrapperType wrapperType)`
  `int`
  `init(com.codename1.io.gzip.JZlib.WrapperType wrapperType)`
  `int`
  `setDictionary(byte[] dictionary, int dictLength)`
  `int`
  `sync()`
  `int`
  `syncPoint()`

  ### Methods inherited from class ZStream

  `deflate, deflateEnd, deflateInit, deflateInit, deflateInit, deflateInit, deflateInit, deflateInit, deflateParams, deflateSetDictionary, free, getAdler, getAvailIn, getAvailOut, getMessage, getNextIn, getNextInIndex, getNextOut, getNextOutIndex, getTotalIn, getTotalOut, inflateEnd, inflateFinished, inflateInit, inflateInit, inflateInit, inflateInit, inflateInit, inflateInit, inflateSetDictionary, inflateSync, inflateSyncPoint, setAvailIn, setAvailOut, setInput, setInput, setInput, setNextIn, setNextInIndex, setNextOut, setNextOutIndex, setOutput, setOutput`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Inflater

    public Inflater()

  - ### Inflater

    public Inflater(com.codename1.io.gzip.JZlib.WrapperType wrapperType) throws GZIPException
    Throws:
      `GZIPException`

  - ### Inflater

    public Inflater(int w, com.codename1.io.gzip.JZlib.WrapperType wrapperType) throws GZIPException
    Throws:
      `GZIPException`

  - ### Inflater

    public Inflater(int w) throws GZIPException
    Throws:
      `GZIPException`

  - ### Inflater

    public Inflater(boolean nowrap) throws GZIPException
    Throws:
      `GZIPException`

  - ### Inflater

    public Inflater(int w, boolean nowrap) throws GZIPException
    Throws:
      `GZIPException`

- ## Method Details

  - ### init

    public int init()

  - ### init

    public int init(com.codename1.io.gzip.JZlib.WrapperType wrapperType)

  - ### init

    public int init(int w, com.codename1.io.gzip.JZlib.WrapperType wrapperType)

  - ### init

    public int init(boolean nowrap)

  - ### init

    public int init(int w)

  - ### init

    public int init(int w, boolean nowrap)

  - ### inflate

    public int inflate(int f)
    Overrides:
      `inflate` in class `ZStream`

  - ### end

    public int end()
    Description copied from class: `ZStream`
    Those methods are expected to be override by Inflater and Deflater. In the future, they will become abstract methods.
    Overrides:
      `end` in class `ZStream`

  - ### sync

    public int sync()

  - ### syncPoint

    public int syncPoint()

  - ### setDictionary

    public int setDictionary(byte[] dictionary, int dictLength)

  - ### finished

    public boolean finished()
    Overrides:
      `finished` in class `ZStream`